
function storeFirstTimeScreenInfo(){
var _zapping=false;
var _ProductIDs={};
for(var i=0;i<HOME.SCREEN_ORDER.length;i++){
if(HOME.SCREEN_INFO[i].install_type===undefined){
HOME.SCREEN_INFO[i].install_type="";
if(!HOME.SCREEN_INFO[i].wallpaper)
HOME.SCREEN_INFO[i].wallpaper=DEFAULT_SCREEN_WALLPAPER;
if(!HOME.SCREEN_INFO[i].wallpaper.match("/"))
HOME.SCREEN_INFO[i].wallpaper=IMG_PATH+HOME.SCREEN_INFO[i].wallpaper;
HOME.SCREEN_INFO[i].screen_name=LANG(HOME.SCREEN_INFO[i].screen_name.toString());
HOME.makeUniqIDs(HOME.SCREEN_INFO[i],_ProductIDs);
if(HOME.SCREEN_INFO[i].template=="zapping")_zapping=true;
HOME.storeScreenInfo(HOME.SCREEN_INFO[i],HOME.SCREEN_ORDER[i]);
HOME.storePowerOnSelect("last");
HOME.SCREEN_USER_MAX_NUM=HOME.SCREEN_ORDER.length+HOME.SCREEN_USER_ADD_NUM;
HOME.storeInitStyle({zapping:_zapping,});}
if(HOME.SCREEN_INFO[i].uniq_id_list==undefined||!HOME.SCREEN_INFO[i].uniq_id_list){
HOME.makeUniqIDs(HOME.SCREEN_INFO[i],_ProductIDs);
HOME.storeScreenInfo(HOME.SCREEN_INFO[i],HOME.SCREEN_ORDER[i]);}
}
}
function init_order(){
HOME.POWERON=1;
HOME.SCREEN_ORDER=[0,1];
HOME.SCREEN_INFO[0]={
screen_name:LANG("LT_HOME_TV"),
wallpaper:"",
template:"tv",
product_id_list:[TV_GADGET],
uniq_id_list:[TV_GADGET+"0000"],
removable:false,
};
HOME.SCREEN_INFO[1]={
screen_name:LANG("LT_HOME_LIFESTYLE"),
wallpaper:"",
template:"life",
product_id_list:[TV_GADGET,"","","","","","","",],
uniq_id_list:[TV_GADGET+"0000","","","","","","","",],
removable:false,
};
for(var i=0;i<HOME.SCREEN_ORDER.length;i++){
HOME.SCREEN_INFO[i].wallpaper=DEFAULT_SCREEN_WALLPAPER;
HOME.storeScreenInfo(HOME.SCREEN_INFO[i],HOME.SCREEN_ORDER[i]);
HOME.storePowerOnSelect("last");
HOME.storePowerOnScreen(HOME.POWERON);
HOME.storeScreenOrder(HOME.SCREEN_ORDER);HOME.SCREEN_USER_MAX_NUM=HOME.SCREEN_ORDER.length+HOME.SCREEN_USER_ADD_NUM;}
}
provide("initial_data");
